Skip to content

Update a profile (V1)
deprecated

Request

This endpoint is deprecated. Please see the Update Personal Profile and Update Business Profile v2 endpoints.

Update user profile information. Request and response is same as described in the create profile endpoint, with the addition of the id field.

If user profile has been verified then there are restrictions on what information is allowed to change, where permitted, use the update window functionality to submit updated data.

Security
UserToken or PersonalToken
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/json
One of:
idinteger, (int64)required

Profile ID.

Example:30000001
typestringrequired
Value:"personal"
Example:"personal"
detailsobject

Personal profile details.

curl -i -X PUT \
  https://api.wise.com/v1/profiles \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "id": 30000001,
    "type": "personal",
    "details": {
      "firstName": "Oliver",
      "lastName": "Wilson",
      "preferredName": "Olivia",
      "dateOfBirth": "1977-07-01",
      "phoneNumber": "+3725064992",
      "firstNameInKana": null,
      "lastNameInKana": null
    }
  }'

Responses

Updated profile.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
One of:
idinteger, (int64)

Profile ID.

Example:30000001
typestring
Value:"personal"
Example:"personal"
detailsobject

Personal profile details.

Response
{ "id": 30000001, "type": "personal", "details": { "firstName": "Oliver", "lastName": "Wilson", "dateOfBirth": "1977-07-01", "phoneNumber": "+3725064992", "avatar": "", "occupation": "", "occupations": [ {} ], "primaryAddress": null, "firstNameInKana": null, "lastNameInKana": null } }